Get one-time send metrics
Returns a list of metrics for an individual one-time send (referred to as a "newsletter" in our APIs) in steps (days, weeks, etc). We return metrics from oldest to newest (i.e. the 0-index for any result is the oldest step/period).
You cannot request fewer than 2 steps of any period (2 hours, 2 days, 2 weeks, or 2 months). For instance, ?period=days&steps=1 means two days - the 48 hours before the API request was made. ?period=days&steps=0 returns the same as the maximum of the period - ?period=days&steps=45. See the steps parameter below for the maximum count of each period.
- Type: integernewsletter
_id requiredThe identifier of a one-time send.
- Type: string enumperiod
The unit of time for your report.
values- hours
- days
- weeks
- months
- Type: integersteps
The number of periods you want to return. Defaults to the maximum available, or
12if the period is inmonths. Maximums are 24 hours, 45 days, 12 weeks, or 121 months. Days start at 00:00 EST. Weeks start at 00:00 EST on Sunday. Months start at 00:00 EST on the 1st of the month. - Type: string enumtype
The type of item you want to return metrics for. When empty, the response contains metrics for all possible types.
values- email
- webhook
- twilio
- push
- in
_app - inbox
- application/json
- 404
The one-time send you requested does not exist.
- application/json
curl https://api.customer.io/v1/newsletters/1/metrics \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"metric": {
"series": {
"attempted": [
1
],
"bounced": [
1
],
"clicked": [
1
],
"converted": [
1
],
"created": [
1
],
"deferred": [
1
],
"delivered": [
1
],
"drafted": [
1
],
"failed": [
1
],
"human_clicked": [
1
],
"human_opened": [
1
],
"link_untracked": [
1
],
"machine_clicked": [
1
],
"open_untracked": [
1
],
"opened": [
1
],
"prefetch_opened": [
1
],
"replied": [
1
],
"sent": [
1
],
"spammed": [
1
],
"suppressed": [
1
],
"topic_unsubscribed": [
1
],
"tracking_consent_denied": [
1
],
"tracking_consent_granted": [
1
],
"undeliverable": [
1
],
"unsubscribed": [
1
],
"untracked": [
1
]
},
"type": "email"
}
}Returns one-time send metrics by series (with increments are based on the period and step in your request) for the one-time send.